Skip to main content
GET
/
datasets
/
v3
/
progress
/
{snapshot_id}
cURL
curl --request GET \
  --url https://api.brightdata.com/datasets/v3/progress/{snapshot_id} \
  --header 'Authorization: Bearer <token>'
{
  "snapshot_id": "<string>",
  "dataset_id": "<string>",
  "status": "starting"
}
  • Asynchronous Usage: Trigger a data collection job via the async endpoint (/trigger), receive a snapshot_id, and poll the Monitor Progress API until the status is ready, then download the results.
  • Synchronous Usage: If a sync request (/scrape) exceeds the 1-minute timeout, receive a snapshot_id to poll the Monitor Progress API and download the results once they are ready.
The Monitor Progress API provides flexibility and stability, allowing efficient handling of large data volumes by differentiating between immediate and delayed result retrievals.
If the request takes too long, we recommend sending an Asynchronous request.

Authorizations

Authorization
string
header
required

在 Authorization 头中使用您的 Bright Data API Key 作为 Bearer token。

认证方法:

  1. 从 Bright Data 账户设置获取您的 API Key: https://brightdata.com/cp/setting/users
  2. 在请求的 Authorization 头中包含 API Key
  3. 格式: Authorization: Bearer YOUR_API_KEY

示例:

Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

了解如何获取 Bright Data API Key: https://docs.brightdata.com/cn/api-reference/authentication#如何生成新的-api-key?

Path Parameters

snapshot_id
string
required

触发采集时返回的 ID

Example:

"s_m4x7enmven8djfqak"

Response

200 - application/json

成功

snapshot_id
string
dataset_id
string
status
enum<string>

快照状态

Available options:
starting,
running,
ready,
failed